Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Here is a list of all class members with links to the classes they belong to:

### - g -

- game() : eZQuizQuestion , eZQuizScore
- garbageCollector() : eZSession
- gc() : ezpSessionHandler , ezpSessionHandlerDB , ezpSessionHandlerPHP , ezpSessionHandlerSymfony
- GC_MAX_EXECUTION_TIME : ezpSessionHandlerDB
- GC_MAX_EXECUTION_TIME_CLI : ezpSessionHandlerDB
- GC_TIMEOUT_MARGIN : ezpSessionHandlerDB
- generateAlwaysUpdatedCache() : ezpStaticCache
- generateCache() : ezpStaticCache
- generateCacheId() : ezpRestMvcController
- generateCharsetMappingTable() : eZCodeMapper
- generateCommandCode() : eZCodeMapper
- generateFile() : eZQDomGenerator
- generateForm() : eZQDomGenerator
- generateHeader() : eZQDomGenerator
- generateHeaders() : ezpMail
- generateHr() : eZQDomGenerator
- generateHTML() : eZQDomGenerator , eZTechGenerator
- generateImage() : eZQDomGenerator , eZTechGenerator
- generateKey() : eZVoucher
- generateLink() : eZQDomGenerator , eZTechGenerator
- generateMappingCode() : eZCodeMapper
- generateMedia() : eZQDomGenerator
- generateModule() : eZTechGenerator
- generateNodeListCache() : ezpStaticCache
- generateOutput() : ezpRestDebugPHPFormatter
- generatePage() : eZQDomGenerator , eZTechGenerator
- generatePermissionSQL() : eZProductCategory
- generateRollOver() : eZQDomGenerator
- generateSimpleMappingTable() : eZCodeMapper
- generateTable() : eZQDomGenerator
- generateToken() : ezpRestToken , ezpRestTokenManager
- generateUnknowns() : eZQDomGenerator , eZTechGenerator
- generateUrl() : ezpRestVersionedRoute
- generateXML() : eZArticleGenerator , eZEzGenerator , eZQDomGenerator , eZSimpleGenerator , eZTechGenerator
- generator() : eZArticleRenderer
- get() : eZAd , eZAdCategory , eZAdClick , eZAddress , eZAddressType , eZAppointment , eZAppointmentType , eZArticle , eZArticleAttribute , eZArticleCategory , eZArticleForm , eZArticleType , eZAuthor , eZBoxType , eZBug , eZBugCategory , eZBugLog , eZBugModule , eZBugPriority , eZBugStatus , eZBulkMail , eZBulkMailForgot , eZBulkMailSubscriptionAddress , eZBulkMailSubscriptionUser , eZBulkMailTemplate , eZCart , eZCartItem , eZCartOptionValue , eZCartVoucherItem , eZCategory , eZCompany , eZConsultation , eZConsultationType , eZCountry , eZExample , eZForgot , eZForm , eZFormElement , eZFormElementFixedValue , eZFormElementType , eZForum , eZForumCategory , eZForumMessage , eZGroupEditor , eZGroupEvent , eZGroupEventCategory , eZGroupEventType , eZGroupNoShow , eZHit , eZImage , eZImageCategory , eZImageMap , eZImageVariation , eZImageVariationGroup , eZLink , eZLinkAttribute , eZLinkCategory , eZLinkItem , eZLinkSection , eZLinkType , eZMail , eZMailAccount , eZMailFilterRule , eZMailFolder , eZMedia , eZMediaAttribute , eZMediaCategory , eZMediaType , eZMenu , eZMessage , eZMessageDefinition , eZModule , eZNews , eZNewsCategory , eZOption , eZOptionValue , eZOrder , eZOrderItem , eZOrderOptionValue , eZOrderStatus , eZOrderStatusType , eZPageView , eZPaypalReturn , eZPermission , eZPerson , eZPhone , eZPhoneType , eZPoll , eZPollChoice , eZPreOrder , eZPriceGroup , eZPriority , eZProduct , eZProductAttribute , eZProductCategory , eZProductCurrency , eZProductForm , eZProductPriceRange , eZProductType , eZProjectType , eZQuestion , eZQuizAlternative , eZQuizAnswer , eZQuizGame , eZQuizQuestion , eZQuizScore , eZRegion , eZResponse , eZResponseDate , eZResponseQuestion , eZSection , eZSectionFrontPage , eZSession , eZShippingGroup , eZShippingType , eZSlideshow , eZSourceSite , eZStatus , eZSurvey , eZTemplate , eZTip , eZTipCategory , eZTipClick , eZTodo , eZTodoLog , eZTopic , ezups , eZURLTranslator , eZUser , eZUserGroup , eZVATType , eZVirtualFile , eZVirtualFolder , eZVote , eZVoucher , eZVoucherEMail , eZVoucherInformation , eZVoucherSMail , eZVoucherUsed , eZWebDAVContentBackend , eZWishList , eZWishListItem , eZWishListOptionValue , Template
- get_load_files_code() : DHTML_Calendar
- get_rates() : ezups , upsRate
- get_undefined() : eZTemplate , Template
- get_user_variable() : eZTemplate
- get_var() : eZTemplate , Template
- get_vars() : eZTemplate , Template
- getActionTTL() : ezpRestMvcController
- getAll() : eZAdCategory , eZAddress , eZAddressType , eZAppointment , eZAppointmentType , eZArticle , eZArticleAttribute , eZArticleCategory , eZArticleForm , eZArticleType , eZAuthor , eZBoxType , eZBug , eZBugCategory , eZBugLog , eZBugModule , eZBugPriority , eZBugStatus , eZBulkMail , eZBulkMailTemplate , eZCategory , eZCompany , eZCountry , eZExample , eZForm , eZFormElement , eZFormElementFixedValue , eZFormElementType , eZForum , eZForumCategory , eZForumMessage , eZGroupEditor , eZGroupEvent , eZGroupEventCategory , eZGroupEventType , eZGroupNoShow , eZImage , eZImageCategory , eZLink , eZLinkAttribute , eZLinkCategory , eZLinkType , eZMediaAttribute , eZMediaCategory , eZMediaType , eZMenu , eZMessage , eZMessageDefinition , eZModule , eZNewsCategory , eZOption , eZOptionValue , eZOrder , eZOrderStatusType , eZPaypalReturn , eZPermission , eZPerson , eZPhoneType , eZPoll , eZPollChoice , eZPriceGroup , eZPriority , eZProductAttribute , eZProductCategory , eZProductCurrency , eZProductForm , eZProductPriceRange , eZProductType , eZQuestion , eZQuizAlternative , eZQuizAnswer , eZQuizGame , eZQuizQuestion , eZQuizScore , eZRegion , eZResponseDate , eZSection , eZShippingGroup , eZShippingType , eZSourceSite , eZStatus , eZSurvey , eZTipCategory , eZTodo , eZTopic , eZURLTranslator , eZUser , eZUserGroup , eZVATType , eZVirtualFile , eZVirtualFolder , eZVote , eZVoucher , eZVoucherEMail , eZVoucherInformation , eZVoucherSMail , eZVoucherUsed
- getAllActive() : eZPoll
- getAllArray() : eZCountry , eZRegion
- getAllByDate() : eZGroupEvent
- getAllByGame() : eZQuizScore
- getAllByModule() : eZPermission
- getAllByOthers() : eZAppointment , eZGroupEvent
- getAllByType() : eZGroupEvent
- getAllByUser() : eZQuizScore
- getAllCategories() : eZForumCategory
- getAllContentVariables() : ezpRestMvcController
- getAllCount() : eZCountry , eZPerson , eZPhoneType , eZRegion , eZUser
- getAllowedMethods() : ezpRouteMethodNotAllowedException
- getAllProperties() : eZWebDAVContentBackend
- getAllSavedByUser() : eZQuizScore
- getAllTemporary() : eZForumMessage
- getAllUnApproved() : eZForumMessage
- getAllUnValid() : eZArticle
- getAllValid() : eZArticle
- getApiPrefix() : ezpRestPrefixFilterInterface
- getApiProviderName() : ezpRestPrefixFilterInterface
- getApiVersion() : ezpRestPrefixFilterInterface
- getAttribute() : ezpbKernelResult , ezpKernelResult
- getAttributes() : ezpbKernelResult , ezpKernelResult
- getBaseURI() : ezpRestRequest
- getbody() : eZGPG
- getByBug() : eZBugLog
- getByCategory() : eZCompany , eZLink
- getByContact() : eZMail , eZOrder
- getByCustomer() : eZOrder
- getByDate() : eZAppointment , eZGroupEvent , eZTodo
- getbydest() : eZURLTranslator
- getByEmail() : eZBulkMailForgot , eZBulkMailSubscriptionAddress , eZBulkMailSubscriptionUser
- getByGroup() : eZGroupEditor , eZGroupEvent
- getByGroupAndImage() : eZImageVariation
- getByGroupType() : eZGroupEvent
- getByImportID() : eZArticle
- getByLimit() : eZTodo
- getByName() : eZArticle , eZArticleAttribute , eZArticleCategory , eZArticleType , eZAuthor , eZImageCategory , eZMediaCategory , eZOrderStatusType , eZTopic , eZVirtualFolder
- getByOption() : eZOptionValue
- getByOrderID() : eZPreOrder
- getByOriginalFileName() : eZImage , eZMedia
- getByOthers() : eZTodo
- getByParent() : eZAdCategory , eZAppointmentType , eZArticleCategory , eZBugModule , eZGroupEventCategory , eZGroupEventType , eZImageCategory , eZLinkCategory , eZMailFolder , eZMediaCategory , eZMenu , eZNewsCategory , eZProductCategory , eZTipCategory , eZVirtualFolder
- getByRemoteID() : eZOption , eZOptionValue , eZProduct , eZProductCategory
- getBySession() : eZCart
- getByTrustee() : eZUser
- getByType() : eZGroupEvent
- getByUser() : eZAppointment , eZMail , eZMailAccount , eZMailFilterRule , eZMailFolder , eZOrder , eZUserGroup , eZVoucher , eZVoucherUsed , eZWishList
- getByUserID() : eZPerson , eZTodo
- getByVariable() : eZSession
- getCachedRoutes() : ezpRestRouter
- getCacheLocation() : ezpRestMvcController
- getCategories() : ezpUpdatedContent
- getCategoriesFromImport() : eZFreeTradeImport
- GetCategory() : eZArticle
- getClassFileList() : eZAutoloadGenerator
- getCollectionContent() : eZWebDAVContentBackend
- getCollectionMembers() : eZWebDAVContentBackend
- getContacts() : eZMail
- getContent() : ezpbKernelResult , ezpKernelResult
- getContentNodeData() : eZWebDAVContentBackend
- getContentQueryString() : ezpRestRequest
- getContents() : eZDFSFileHandlerDFSBackend , eZDFSFileHandlerDFSBackendInterface
- getContentTreeCollection() : eZWebDAVContentBackend
- getContentVariable() : ezpRestMvcController
- getCountByUser() : eZOrder
- getCountryArray() : eZRegion
- getData() : ezpAutoloadCliOutput , ezpAutoloadOutput
- getDate() : eZGroupEvent
- getDfsFileSize() : eZDFSFileHandlerDFSBackend , eZDFSFileHandlerDFSBackendInterface
- getExpiryTime() : ezpRestCacheStorageApcCluster
- getFile() : eZPBFile
- getFileList() : eZClusterFileHandlerInterface , eZDFSFileHandler , eZFSFileHandler
- getFilesList() : eZDFSFileHandlerDFSBackend , eZDFSFileHandlerDFSBackendInterface
- getFilter() : ezpMobileDeviceDetect , ezpMobileDeviceDetectFilter
- getFlatResult() : ezuspsservices
- getFromKeyNumber() : eZVoucher
- getGroups() : eZObjectPermission , ezpRestDebugPHPFormatter
- getHandler() : ezpMultivariateTest
- getHandlerClass() : eZExtension
- getHandlerInstance() : eZSession
- getHostByAddr() : eZPageView
- getHostURI() : ezpRestRequest
- getIDByParent() : eZVirtualFolder
- getImages() : eZImageCategory
- getInfo() : ezpExtension
- getIni() : eZSiteAccess
- getInstance() : ezpEvent , ezpExtension , ezpRestDebug
- getItemsFromImport() : eZFreeTradeImport
- getItemVariable() : ezpRestFeedDecorator
- getLastTen() : eZLink
- getLastTenDate() : eZLink
- getLinkHits() : eZHit
- getLoadingOrder() : ezpExtension
- getLog() : ezpRestDebugPHPFormatter
- getLogins() : eZUser
- getMedia() : eZMediaCategory
- getMessageID() : eZMessageDefinition
- getMessages() : eZAutoloadGenerator
- getMountPoint() : eZDFSFileHandlerDFSBackend
- getNew() : eZOrder
- getNewMail() : eZMailAccount
- getNextItem() : ezpContentPublishingQueueProcessor
- getNodeInfo() : eZWebDAVContentBackend
- getNodes() : eZWebDAVContentBackend
- getNotAccepted() : eZLink
- getObjects() : eZObjectPermission
- getOptionsFromImport() : eZFreeTradeImport
- getOutputFormatter() : ezpAttributeOperatorManager
- getParsedBody() : ezpRestRequest
- getPathFromFilename() : eZDir
- getPermissionList() : eZProductPermission
- getPolicyCheckViewMap() : ezpbKernelAdmin , ezpbKernelWeb , ezpKernelWeb
- getPrefixPattern() : ezpRestDefaultRegexpPrefixFilter
- getProductsFromImport() : eZFreeTradeImport
- getProperty() : eZWebDAVContentBackend
- getPropertyStorage() : eZWebDAVContentBackend
- getProvider() : ezpRestProvider
- getQuantity() : eZFreeTradeImport
- getQuery() : eZLink
- getQueryCount() : eZForum , eZLink
- getRelated() : eZPaypalReturn
- getRemainingLifetime() : ezpRestCacheStorageCluster
- getRenderer() : ezpRestContentRenderer
- getReport() : ezpRestDebug
- getResourceContents() : eZWebDAVContentBackend
- getResponse() : ezpKernelRest
- getResponseGroups() : ezpRestMvcController
- getResponsesByQuestion() : eZResponseQuestion
- getresult() : ezuspsservices
- getRootNodes() : ezpTopologicalSort
- getRouteFilter() : ezpRestRouteFilterInterface
- getRoutes() : ezpRestAuthProvider , ezpRestProviderInterface
- getSearchCount() : eZOrder
- getSectionArray() : eZTipCategory
- getservice() : ezups , ezuspsservices
- getServiceContainer() : ezpbKernel , ezpbKernelAdmin , ezpbKernelWeb , ezpKernel , ezpKernelHandler , ezpKernelRest , ezpKernelTreeMenu , ezpKernelWeb
- getservices() : ezups
- getShortAttributeName() : eZPersistentObject
- getSiteAccessIni() : ezpLanguageSwitcher
- getSkipRoutes() : ezpRestIniRouteFilter
- getSpecialFolder() : eZMailFolder
- getStatArray() : eZAutoloadGenerator
- getState() : ezpRestAuthcode , ezpRestAuthorizedClient , ezpRestClient , ezpRestToken
- getStatusCode() : ezpKernelRedirect
- getStatusString() : ezpContentPublishingProcess
- getSupportedHTTPMethods() : ezpMvcRailsRoute , ezpMvcRegexpRoute
- getTargetUrl() : ezpKernelRedirect
- getTimingsAccumulator() : ezpRestDebugPHPFormatter
- getToken() : ezpOauthUtility
- getTokenFromAuthorizationHeader() : ezpOauthUtility
- getTokenFromHttpBody() : ezpOauthUtility
- getTokenFromQueryComponent() : ezpOauthUtility
- getTotalCount() : eZOrder
- getTotalIncomingLinks() : eZLinkCategory
- getTransformURIMode() : eZURI
- getTree() : eZAdCategory , eZAppointmentType , eZArticleCategory , eZGroupEventCategory , eZGroupEventType , eZImageCategory , eZLinkCategory , eZMailFolder , eZMediaCategory , eZProductCategory , eZTipCategory , eZVirtualFolder
- getType() : ezpAttributeOperatorFormatter
- getUnassigned() : eZImage , eZMedia , eZVirtualFile
- getUnhandled() : eZBug
- getUpdates() : ezpUpdatedContent
- getUploadedFile() : eZPBFile
- getUser() : ezpRestAuthenticationStyle , ezpRestAuthenticationStyleInterface , eZUser
- getUserAgentAlias() : ezpMobileDeviceDetect , ezpMobileDeviceDetectFilterInterface , ezpMobileDeviceRegexpFilter
- getUserByEmail() : eZUser
- getUserGame() : eZQuizScore
- getUsersByEmail() : eZUser
- getValidwwwDir() : eZSys
- getValue() : ezpAttributeOperatorFormatter
- getVar() : eZHTTPTool
- getViewController() : ezpRestAuthProvider , ezpRestProviderInterface
- getVirtualFolderCollection() : eZWebDAVContentBackend
- getVirtualFolderData() : eZWebDAVContentBackend
- getWarnings() : eZAutoloadGenerator
- getweight() : ezuspsservices
- getxml() : ezups
- gitVersion() : eZPublish
- globalDatabase() : eZDB
- globaleZHTTPTool() : eZHTTPTool
- globalSectionObject() : eZSection
- globalSession() : eZSession
- globBrace() : eZSys
- group() : eZContentObjectState , eZForum
- groupCommands() : eZCharTransform
- groupDefinition() : eZUser
- groupEntry() : eZGroupNoShow
- groupExists() : eZImageVariationGroup
- groupHasEditor() : eZGroupEditor
- groupID() : eZGroupEditor , eZGroupEvent , eZGroupNoShow
- groupIDList() : eZConsultation
- groupList() : eZConsultation
- groups() : eZUser
- groupString() : eZUser
- groupURL() : eZUserGroup
- gunzipFile() : eZGZIPShellCompressionHandler

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.